package ex2;

public class ValidUtils {
	public static boolean validNotEmpty(String text) {
		return text != null && text.length() != 0;
	}
	public static boolean validMaxLength(String text, int maxLength) {
		return text != null && text.length() <= maxLength;
	}
	public static boolean isNumber(String text) {
		try {
			Integer.parseInt(text);
			return true;
		} catch (NumberFormatException ex) {
			return false;
		}
	}
	public static boolean validRange(String text, int min, int max) {
		try {
			int n = Integer.parseInt(text);
			return n >= min && n <= max;
		} catch (NumberFormatException ex) {
			return false;
		}
	}
}